using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using LHDN.CRM.Web.Controllers;
using LHDN.CRM.Web.Filters;
using LHDN.CRM.BC.Common;

namespace LHDN.CRM.Web.Areas.User.Controllers
{
    public class ProfileController : BaseController
    {
        // GET: User/Profile
        [CRMAuthorize(Constant.Authentication.Administration.EditUserProfile)]
        public ActionResult Index()
        {
            return View();
        }

        [CRMAuthorize(Constant.Authentication.Administration.EditUserProfile)]
        public ActionResult Detail(string id)
        {
            ViewBag.UserProfileID = id;

            AddAntiforgeryToken();
            return View("Index");
        }

        [CRMAuthorize(Constant.Authentication.Administration.EditUserProfile)]
        public ActionResult New()
        {
            AddAntiforgeryToken();
            return View("Index");
        }
    }
}